### Class

# Lasem DomText

#### Description

    class Lasem.DomText : Lasem.DomCharacterData
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- LsmDomCharacterData
- LsmDomNode
- GObject

#### Constructors

###### lsm_dom_text_new

No description available.

#### Instance methods

##### Methods inherited from LsmDomCharacterData (2)

###### lsm_dom_character_data_get_data

Get the character node data.

###### lsm_dom_character_data_set_data

Set the character node data.

##### Methods inherited from LsmDomNode (18)

###### lsm_dom_node_append_child

Adds the node `new_child` to the end of the list of children of this node. If the `new_child` is already in the tree, it is first removed.

###### lsm_dom_node_changed

No description available.

###### lsm_dom_node_get_child_nodes

No description available.

###### lsm_dom_node_get_first_child

No description available.

###### lsm_dom_node_get_last_child

No description available.

###### lsm_dom_node_get_next_sibling

No description available.

###### lsm_dom_node_get_node_name

Gets the node name.

###### lsm_dom_node_get_node_type

No description available.

###### lsm_dom_node_get_node_value

Gets the node value.

###### lsm_dom_node_get_owner_document

No description available.

###### lsm_dom_node_get_parent_node

No description available.

###### lsm_dom_node_get_previous_sibling

No description available.

###### lsm_dom_node_has_child_nodes

No description available.

###### lsm_dom_node_insert_before

Inserts the node `new_child` before the existing child node `ref_child`. If `ref_child` is null, insert `new_child` at the end of the list of children. If the `new_child` is already in the tree, it is first removed.

###### lsm_dom_node_remove_child

Removes the child node indicated by `old_child` from the list of children, and returns it.

###### lsm_dom_node_replace_child

Replaces the child node `old_child` with `new_child` in the list of children, and returns the `old_child` node. If the `new_child` is already in the tree, it is first removed.

###### lsm_dom_node_set_node_value

No description available.

###### lsm_dom_node_write_to_stream

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct LasemDomTextClass {
      LsmDomCharacterDataClass parent_class;

    }

No description available.

###### Class members

`parent_class: LsmDomCharacterDataClass`

  No description available.